Bug 1471014 - UI: "Unexpected error encountered" when Downloading report in text,csv and pdf format
UI: "Unexpected error encountered" when Downloading report in text,csv and pd...
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Yuri Rudman
Niyaz Akhtar Ansari
ui:report
: TestOnly, ZStream
: 1471732 (view as bug list)
Depends On:
Blocks: 1479994 1481743
  Show dependency treegraph
 
Reported: 2017-07-14 05:22 EDT by Niyaz Akhtar Ansari
Modified: 2017-08-15 11:16 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479994 1481743 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
screenshot (70.99 KB, image/png)
2017-07-14 05:22 EDT, Niyaz Akhtar Ansari
no flags Details

  None (edit)
Description Niyaz Akhtar Ansari 2017-07-14 05:22:50 EDT
Created attachment 1298219 [details]
screenshot

Description of problem:


Version-Release number of selected component (if applicable):
Version 5.8.1.2.20170712143358_461cde4 

How reproducible:
100%

Steps to Reproduce:
1.Go to Cloud Intel-> Reports-> All Reports
2.Select any default report and Queue
3.Select generated report and Download as Text, CSV, PDF

Actual results:
Unable to download report as Text, CSV, PDF format.
unexpected error encounter on ui.

 Error text:
Couldn't find MiqReportResult with 'id'=30 [WHERE ("miq_report_results"."miq_group_id" IS NOT NULL)] [report/send_report_data] 
Expected results:


Additional info:
Comment 8 CFME Bot 2017-08-04 09:53:35 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/9e3e8bc7c533b0f20b5b084faf24a852d4b4a63b

commit 9e3e8bc7c533b0f20b5b084faf24a852d4b4a63b
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Thu Aug 3 16:55:29 2017 -0400
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Thu Aug 3 16:55:29 2017 -0400

    Issue: connecting as admin user and executing download will set userid column in miq_report_result table to 'admin|2d7db0c5addb0eb91de3541c811ea02e|download' and this user does not belong to any group. Solution: Reverting back to previous logic.
    https://bugzilla.redhat.com/show_bug.cgi?id=1471014

 app/controllers/application_controller/report_downloads.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 13 Yuri Rudman 2017-08-15 11:16:57 EDT
*** Bug 1471732 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.